GNU bug report logs - #14359
read-from-minibuffer to respect standard-input

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Glenn Morris <rgm@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 14359 <at> debbugs.gnu.org and Glenn Morris <rgm@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 14359 <at> debbugs.gnu.org:


Received: (at 14359) by debbugs.gnu.org; 9 Jun 2022 14:11:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 09 10:11:40 2022
Received: from localhost ([127.0.0.1]:47180 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nzIsu-0006we-5V
	for submit <at> debbugs.gnu.org; Thu, 09 Jun 2022 10:11:40 -0400
Received: from quimby.gnus.org ([95.216.78.240]:50246)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nzIss-0006wK-74
 for 14359 <at> debbugs.gnu.org; Thu, 09 Jun 2022 10:11:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=1ylBOsShY7gCAw4B58NEMNBX4vHAW3oY37x3neaoILE=; b=ejwm8BOIwwa7fG3DEC8k2XCjPE
 otoVzMX20OrQz9I0G/PeNYJXavJmBKDffdke21fPimHMYfCB1IvG7532hFB4yoJ0rODl21b1zYfpe
 Nj2RI8ixsdSUH3dxh3nYEf7XdUddyK4dNx7DqHDd4VIBl7XmsELZPAQ305Ax7JFcFEbk=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nzIsj-0000iU-Vg; Thu, 09 Jun 2022 16:11:32 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#14359: read-from-minibuffer to respect standard-input
References: <dwip2vcktq.fsf@HIDDEN> <87ilqdh5ja.fsf@HIDDEN>
X-Now-Playing: Prince's _Sign 'O' the Times (7): Live in Utrecht II_: "The
 Cross (Live In Utrecht)"
Date: Thu, 09 Jun 2022 16:11:28 +0200
In-Reply-To: <87ilqdh5ja.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 10 May 2022 15:38:01 +0200")
Message-ID: <87fske2agf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > Glenn Morris
 <rgm@HIDDEN> writes: > >> read-from-minibuffer doesn't seem to respect
 standard-input
 != t. >> It's probably not supposed to, but it might be nice if it did, so
 >> that batch tests cou [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 14359
Cc: 14359 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Glenn Morris <rgm@HIDDEN> writes:
>
>> read-from-minibuffer doesn't seem to respect standard-input != t.
>> It's probably not supposed to, but it might be nice if it did, so
>> that batch tests could be written for read-number etc.
>> (It seems that it does read from stdin if noninteractive.)
>
> I'm probably missing something, but wouldn't you just stub out
> read-from-minibuffer if you want to test read-number from ert?

No response in a month, so I'm going to go ahead and guess that my
suggestion would fit the purpose, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14359; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 14359 <at> debbugs.gnu.org:


Received: (at 14359) by debbugs.gnu.org; 10 May 2022 13:38:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 10 09:38:13 2022
Received: from localhost ([127.0.0.1]:60791 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noQ45-0008No-KY
	for submit <at> debbugs.gnu.org; Tue, 10 May 2022 09:38:13 -0400
Received: from quimby.gnus.org ([95.216.78.240]:55320)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1noQ43-0008NS-SP
 for 14359 <at> debbugs.gnu.org; Tue, 10 May 2022 09:38:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=MxxXl0RZ2Y/mBabgK099GcUzhajAoySAvrVJ6HEbeWI=; b=r8iDMo+LHrAXVR7od8YrRYJNLE
 5O1yr7c2Br9X03sQ3NtK0SmlL09tRMMr/EPn6QH7a7e+jsM0vT3MB23a+0CKAZpG+x6EOVWJUOFLa
 J+NCrNNAw1GqoXau8HILhxW6lioelIGF1g8dVj8fGYkF7d7i5v/BgpPSjceCO7wv4mzk=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1noQ3t-00041x-TX; Tue, 10 May 2022 15:38:04 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#14359: read-from-minibuffer to respect standard-input
References: <dwip2vcktq.fsf@HIDDEN>
X-Now-Playing: Joni Mitchell's _Don Juan's Reckless Daughter_: "Talk to Me"
Date: Tue, 10 May 2022 15:38:01 +0200
In-Reply-To: <dwip2vcktq.fsf@HIDDEN> (Glenn Morris's message of
 "Tue, 07 May 2013 03:26:09 -0400")
Message-ID: <87ilqdh5ja.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Glenn Morris <rgm@HIDDEN> writes: > read-from-minibuffer
 doesn't seem to respect standard-input != t. > It's probably not supposed
 to, but it might be nice if it did, so > that batch tests could be written
 for read-number etc. > (It s [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 14359
Cc: 14359 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Glenn Morris <rgm@HIDDEN> writes:

> read-from-minibuffer doesn't seem to respect standard-input != t.
> It's probably not supposed to, but it might be nice if it did, so
> that batch tests could be written for read-number etc.
> (It seems that it does read from stdin if noninteractive.)

I'm probably missing something, but wouldn't you just stub out
read-from-minibuffer if you want to test read-number from ert?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14359; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 May 2013 07:27:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 07 03:27:16 2013
Received: from localhost ([127.0.0.1]:60547 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UZcIs-0008EO-Rf
	for submit <at> debbugs.gnu.org; Tue, 07 May 2013 03:27:16 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:46923)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1UZcIq-0008EG-7A
	for submit <at> debbugs.gnu.org; Tue, 07 May 2013 03:27:13 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1UZcHq-0007gp-4F; Tue, 07 May 2013 03:26:10 -0400
From: Glenn Morris <rgm@HIDDEN>
To: submit <at> debbugs.gnu.org
Subject: read-from-minibuffer to respect standard-input
X-Spook: csim cryptanalysis insurgency Ft. Meade quarter DES red
X-Ran: \4^5TLa`4Ps^.=PT(Hvo-!6y\1Dl_{b?:PE\\@?;eM;[D,*p2Ta*n1c*wSp.g=d4OOxP"v
X-Hue: green
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 07 May 2013 03:26:09 -0400
Message-ID: <dwip2vcktq.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -8.1 (--------)

Package: emacs
Version: 24.3
Severity: wishlist

read-from-minibuffer doesn't seem to respect standard-input != t.
It's probably not supposed to, but it might be nice if it did, so
that batch tests could be written for read-number etc.
(It seems that it does read from stdin if noninteractive.)




Report forwarded to bug-gnu-emacs@HIDDEN:
bug#14359; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 9 Jun 2022 14:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.